Subject: RE: *TODO* Document the pseudo-ops (adr, ops)

From: Jeff Sutherland <[email-masked]>
Date: Wed, 26 Apr 2000 09:52:08 -0400

> I would love to see some documentation about the MMU setup 
> for the ARM and how
> the tables are constructed. Since I started looking at the 
> kernel in January I
> have been wondering why there is no documentation.
> 
> Does anyone have some written notes that they are willing to 
> share? I asked a
> question back in January on this subject and did not get a response.
> 
> Scott McConnell

I suppose this bears repeating.  BTW is there a relevant FAQ that
could/should be posted here on a monthly basis?  May be about time to start
one...
//Jeff

The instructions are documented in...
   http://www.arm.com/Documentation/UserMans/PDF/ARM7vC.pdf 
The quick reference card is at...
   http://www.arm.com/Documentation/UserMans/PDF/QRC-0001D.pdf

(JWS)This is excellent, much more detailed than in the ARM books I have:
The ARM MMUs are covered in... 
   http://www.arm.com/Documentation/UserMans/PDF/DDI0150A_920T_TRM.pdf

-- 
                                     Jim Studt, President
                                     The Federated Software Group, Inc.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Wed, 26 Apr 2000 19:31:50 +0100 (BST)

> could/should be posted here on a monthly basis?  May be about time to start

I could add it to the footer of each message...  I'd rather not have a
huge long list of documents appended to the end of each message - maybe
if I setup an automatic send-a-mail-and-add-contained-web-address-to-faq-page
thing and add the FAQ top-level address to the bottom of the messages?
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Erik Mouw <[email-masked]>
Date: Thu Apr 27 14:51:16 +0200 (MDT) 2000

> thing and add the FAQ top-level address to the bottom of the messages?

What about using a FAQ-o-matic, like CVS and gcc have? Everybody would be
able to add and update FAQs.

Erik

-- 
J.A.K. (Erik) Mouw, Information and Communication Theory Group, Department
of Electrical Engineering, Faculty of Information Technology and Systems,
Delft University of Technology, PO BOX 5031,  2600 GA Delft, The Netherlands
Phone: +31-15-2783635  Fax: +31-15-2781843  Email: [email-masked]
WWW: http://www-ict.its.tudelft.nl/~erik/

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Thu, 27 Apr 2000 14:44:32 +0100 (BST)

> able to add and update FAQs.

If you have the supporting code for this, I'll see about integrating it into
the site.
   _____

---

From: Erik Mouw <[email-masked]>
Date: Thu Apr 27 16:01:45 +0200 (MDT) 2000

> If you have the supporting code for this, I'll see about integrating it into

Have a look at http://www.dartmouth.edu/~jonh/ff-serve/cache/1.html . It
basically needs a webserver, Perl, and diskspace. 

Erik

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Thu, 27 Apr 2000 14:59:06 +0100 (BST)

> basically needs a webserver, Perl, and diskspace. 

All of which should not be a problem.  Can it cope with the data information
located externally to the web tree?
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Erik Mouw <[email-masked]>
Date: Thu Apr 27 16:13:31 +0200 (MDT) 2000

> located externally to the web tree?

I honestly don't know. I only have FAQ-o-matic experience as a user, not
as an administrator. I think this entry in the FAQ-o-matic FAQ-o-matic
administrator guide answers your question:

  http://www.dartmouth.edu/~jonh/ff-serve/cache/439.html

Erik

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Thu, 27 Apr 2000 15:11:35 +0100 (BST)

>   http://www.dartmouth.edu/~jonh/ff-serve/cache/439.html

yep, got it, already playing with it ;)
   _____